package stack_test // https://github.com/docker/cli/blob/master/cli/command/stack/loader/loader.go

import (
	"testing"

	"coopcloud.tech/abra/pkg/app"
	"coopcloud.tech/abra/pkg/test"
)

func TestSkipInterpolation(t *testing.T) {
	test.Setup()
	t.Cleanup(func() { test.Teardown() })

	a, err := app.Get(test.AppName)
	if err != nil {
		t.Fatal(err)
	}

	_, err = a.Recipe.GetComposeConfig()
	if err != nil {
		t.Fatal(err)
	}

	// TODO: ensure compose has a port with no interpolated value
	// TODO: ensure compose has port with interpolated value
}
